ControllersDomainBindingApi (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.plugins.web.api
[Java] Class ControllersDomainBindingApi

    java.lang.Object
      org.codehaus.groovy.grails.plugins.web.api.ControllersDomainBindingApi

    @java.lang.SuppressWarnings("rawtypes")
    public class ControllersDomainBindingApi
    extends java.lang.Object

Enhancements made to domain classes for data binding.

Authors:
  Graeme Rocher

Since:
  2.0

Field Summary
`static java.lang.String` | `AUTOWIRE_DOMAIN_METHOD`

Method Summary
`java.util.Map` | `getProperties(java.lang.Object instance)` Returns a map of the objects properties that can be used to during binding to bind a subset of properties
`static void` | `initialize(java.lang.Object instance)` Autowires the instance
`static void` | `initialize(java.lang.Object instance, java.util.Map namedArgs)` A map based constructor that binds the named arguments to the target instance
`org.springframework.validation.BindingResult` | `setProperties(java.lang.Object instance, java.lang.Object bindingSource)` Binds the source object to the properties of the target instance converting any types as necessary

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### AUTOWIRE_DOMAIN_METHOD

    public static final java.lang.String AUTOWIRE_DOMAIN_METHOD

Method Detail

### getProperties

    public java.util.Map getProperties(java.lang.Object instance)

  Returns a map of the objects properties that can be used to during binding to bind a subset of properties
  Parameters:
    `instance` - The instance
  Returns:
    An instance of DataBindingLazyMetaPropertyMap

### initialize

    public static void initialize(java.lang.Object instance)

  Autowires the instance
  Parameters:
    `instance` - The target instance

### initialize

    public static void initialize(java.lang.Object instance, java.util.Map namedArgs)

  A map based constructor that binds the named arguments to the target instance
  Parameters:
    `instance` - The target instance
    `namedArgs` - The named arguments

### setProperties

    public org.springframework.validation.BindingResult setProperties(java.lang.Object instance, java.lang.Object bindingSource)

  Binds the source object to the properties of the target instance converting any types as necessary
  Parameters:
    `instance` - The instance
    `bindingSource` - The binding source
  Returns:
    The BindingResult

Groovy Documentation